
Foreman - Bug #26381

In Ovirt: You can create a disk with empty disk interface property.

03/17/2019 03:59 PM - Shimon Shtein

Status: Closed   

Priority: Normal   

Assignee:    

Category: Compute resources - oVirt   

Target version:    

Difficulty:  Fixed in Releases: 1.24.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7040

  

Description

This will lead to:

Failed to create a compute oris ovirt4 (oVirt) instance shim-irvin-preite.dummy: Fault reason is "

Invalid value". Fault detail is "The string '' isn't a valid value for the 'DiskInterface' enumera

ted type. Valid values are: 'ide', 'virtio_scsi', 'virtio', 'spapr_vscsi'.". HTTP response code is

 400

 exception.

We should remove an empty Disk interface option from the UI.

Associated revisions

Revision 6a05dfe2 - 10/03/2019 04:24 PM - Baptiste Agasse 

Fixes #26381 - oVirt set default disk interface

History

#1 - 09/30/2019 02:12 PM - Baptiste Agasse

- Pull request https://github.com/theforeman/foreman/pull/7040 added

#2 - 10/03/2019 04:24 PM - The Foreman Bot

- Fixed in Releases 1.24.0 added

#3 - 10/03/2019 05:01 PM - Anonymous

- Status changed from New to Closed

Applied in changeset 6a05dfe234889a1e573835e843111659da284bff.
